﻿/*
 * A wrapper to some FFTW methods (http://www.fftw.org/).
 * Based on Tamás Szalay's wrapper classes (http://www.sdss.jhu.edu/~tamas/bytes/fftwcsharp.html).
 * 
 */

namespace TetheredSun.Spectral.Fftw
{
	/// <summary>
	/// Defines direction of operation
	/// </summary>
	internal enum FftwDirection : int {
		/// <summary>
		/// Computes a regular DFT
		/// </summary>
		Forwards = -1,
		/// <summary>
		/// Computes the inverse DFT
		/// </summary>
		Backwards = 1
	}
}
